<!DOCTYPE html>
<html>
	<body>
		<p>Click the button to solve the question 5 solution.</p>
		<button onclick="addSortedInsert()">Add element to the linked list according to increasing order</button>
		<p id="demo"></p>

		<script>
			function addSortedInsert() {
                //node of the linked list
                class Node { 
                    // constructor 
                    constructor(element) 
                    { 
                        this.element = element; 
                        this.next = null
                    } 
                } 

                // linkedlist class 
                class LinkedList { 
                    constructor() { 
                        this.head = null; 
                        this.size = 0; 
                    }   

                    // adds an element at the end of list t
                    addSortedInsert(ele) { 
                        // creates a new node 
                        var node = new Node(ele); 
    
           
    
                        // if list is Empty add the element and make it head 
                        if (this.head == null || this.head.element > ele) { 
							node.next = this.head;
                            this.head = node;
                        }
                        else {
                            var current = this.head; 
                            // iterate to the end of the list 
                            while (current.next != null && current.next.element < ele ) { 
                                current = current.next; 
                            } 
							
                            // add node 
                            node.next = current.next;
                            current.next = node;
                        }
                        this.size++; 
                    }
                    

                    //print the list
                    printList() { 
                        var curr = this.head; 
                        var str = ""; 
                        while (curr) { 
                            str += curr.element + " "; 
                            curr = curr.next; 
                        } 
                        console.log(str); 
                    } 
 
                }

                    var i;
                    var element;
                    var list = new LinkedList();
				    var linked_list_size = prompt("Please enter the size of linked list : ");
                    //insert the element in linked list
				    for(i=0;i<linked_list_size;i++) {
					    element = +(prompt(`Please enter the ${i+1} element of linked list: `));
					    list.addSortedInsert(element);
                    }
                    list.printList();
			}
		</script>

	</body>
</html>